| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
IReaderDataFilter Class Referenceabstract
eProsima Fast DDS API Reference » RTPS

Abstract class IReaderDataFilter that acts as virtual interface for data filters in ReaderProxy. More...

`#include <IReaderDataFilter.hpp>`

## Public Member Functions

virtual bool | is_relevant (const fastdds::rtps::CacheChange_t &change, const fastdds::rtps::GUID_t &reader_guid) const =0
| This method checks whether a CacheChange_t is relevant for the specified reader This callback should return always the same result given the same arguments.

## Detailed Description

Abstract class IReaderDataFilter that acts as virtual interface for data filters in ReaderProxy.

## Member Function Documentation

## ◆ is_relevant()

virtual bool is_relevant | ( | const fastdds::rtps::CacheChange_t & | change,
|  | const fastdds::rtps::GUID_t & | reader_guid ) const

pure virtual

This method checks whether a CacheChange_t is relevant for the specified reader This callback should return always the same result given the same arguments.

Parameters

  change | The CacheChange_t to be evaluated
  reader_guid | remote reader GUID_t

Returns
  true if relevant, false otherwise.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/interfaces/IReaderDataFilter.hpp